Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Flash used to work in 11.0 now broken in 11.1

  1. #1
    Join Date
    Jun 2008
    Location
    USA
    Posts
    77

    Default Flash used to work in 11.0 now broken in 11.1

    Hi all,

    Flash doesn't work in Mozilla Firefox 3.0.5 on OpenSUSE 11.1 x64.

    I upgraded from 11.0 where it worked perfectly.

    I have tried using gnash as well as the flash plugin from the repository and nothing seems to work.

    I also can't view an swf when I double click on it in konqueror file browser.

    Suggestions please?

    Thanks
    Nathan

  2. #2
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Nathan,

    works here. Here's the flash related stuff I have installed:

    titanium:/home/uwe # rpm -qa | grep flash
    libflashsupport-1.2-4.20
    pullin-flash-player-11.1-1.1
    flash-player-10.0.15.3-1.1

    What do you have installed?

    Uwe

  3. #3
    Join Date
    Jun 2008
    Location
    USA
    Posts
    77

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Remarkably similar, actually:

    [nathan@ebisu ~] rpm -qa | grep flash
    libflashsupport-1.2-4.20
    flash-player-10.0.15.3-1.1
    pullin-flash-player-11.1-1.1

    Nathan

  4. #4
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Nathan,

    when you temporarily rename your ~/.mozilla folder or try it with a different user, do you see the same problem?
    Can you open swf files through Dolphin? Can you open them from the flash player application directly?

    Uwe

  5. #5
    Join Date
    Jun 2008
    Location
    USA
    Posts
    77

    Default Re: Flash used to work in 11.0 now broken in 11.1

    * Happens in Mozilla no matter the user/profile
    * I haven't tried Dolphin, but Konqueror doesn't work
    * I can't open files from the flash player application.

    When I run the application on the command line, it acts broken:
    [nathan@ebisu ~] flashplayer /home/nathan/raid/media/flash/JBI.swf
    WARNING: environment variable G_FILENAME_ENCODING set and it is not UTF-8
    sh: pactl: command not found
    Segmentation fault

    Searching for the warning gives a bug report that seems to be inconclusive.

    However, pactl is the controller program for pulse audio, included in pulseaudio-utils. I installed that package from the repos.

    Now when I run the command I get this:
    [nathan@ebisu ~] flashplayer /home/nathan/raid/media/flash/JBI.swf
    WARNING: environment variable G_FILENAME_ENCODING set and it is not UTF-8
    Currently in use: 1 blocks containing 63.9 KiB bytes total.
    Allocated during whole lifetime: 3 blocks containing 127.9 KiB bytes total.
    Sample cache size: 0 B
    User name: nathan
    Host Name: ebisu
    Server Name: pulseaudio
    Server Version: 0.9.12
    Default Sample Specification: s16le 2ch 44100Hz
    Default Sink: alsa_output.pci_8086_3a3e_sound_card_0_alsa_playback_0
    Default Source: alsa_input.pci_8086_3a3e_sound_card_0_alsa_capture_0
    Cookie: 9bc7bfef
    Segmentation fault

    Other flash movies I downloaded do the same thing.

    Thanks for the help thus far.
    Nathan

  6. #6
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Nathan,

    my console output looks identical, apart from the segfault :-(

    Sorry, I have no idea other than a stupid reinstall of the flash related RPMs.

    Uwe

  7. #7
    Join Date
    Jun 2008
    Location
    USA
    Posts
    77

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Hmm, I got it to work by uninstalling libflashsupport. Probably one of the dependencies for that got uninstalled when I upgraded (OpenSUSE seems to have lots of problems with doing an upgrade install).

    If I have time I'll try and figure out what dependency is missing.

    Thanks for the help.
    Nathan

  8. #8
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Nathan,

    thanks for the feedback, that's interesting.
    I never do upgrades, I always format the / partition and just keep my /home

    Uwe

  9. #9
    Robert Carlson NNTP User

    Default Re: Flash used to work in 11.0 now broken in 11.1

    SurplusIguana wrote:
    > Hmm, I got it to work by uninstalling libflashsupport. Probably one of
    > the dependencies for that got uninstalled when I upgraded (OpenSUSE
    > seems to 'have lots of problems with doing an upgrade install'
    > (http://tinyurl.com/axfmyx)).
    >
    > If I have time I'll try and figure out what dependency is missing.


    Maybe this page would help you find it:

    http://forums.opensuse.org/applicati...ten-steps.html

  10. #10
    Join Date
    Jun 2008
    Location
    USA
    Posts
    77

    Default Re: Flash used to work in 11.0 now broken in 11.1

    Quote Originally Posted by buckesfeld View Post
    I never do upgrades, I always format the / partition and just keep my /home
    I used to do that, but every time I would lose some customized file in /etc I'd forgotten to back up >_<


    Maybe this page would help you find it:

    http://forums.opensuse.org/applicati...ten-steps.html
    Thanks, that fixed it. Looks like I was missing a few other pulseaudio packages. Maybe the OpenSUSE updater should run that command before it finishes

    I appreciate the help

    Nathan

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •